Task # 40370 (Resolved): Use ContentType objects instead of strings in NodeInterface

Status: Closed Priority: Should have
Author: Karsten Dambekalns Category:
Created: 2012-08-28 Assigned To:
Updated: 2012-10-04 Due date:
Subject: Use ContentType objects for NodeInterface::getContentType()
Description

The getContentType() should return ContentType instances instead of the content type name.

Associated revisions
Revision 32190fc2 - 2012-08-31 16:47 - Karsten Dambekalns

[TASK] Adjust to getContentType() returning ContentType objects

Node and ProxyNode now return ContentType instances instead of a string
with the content type name when getContentType() is called. This adjusts
the client code as needed.

Change-Id: I861cf40a1cf6c4fbb8c249d8797fac16bdee97a4
Related: #40350

History
#1 - 2012-08-28 18:15 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14159

#2 - 2012-08-28 18:16 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#3 - 2012-08-29 11:49 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14159

#4 - 2012-08-29 12:26 - Karsten Dambekalns
- Project changed from Base Distribution to TYPO3.TYPO3CR

#5 - 2012-08-29 12:27 - Karsten Dambekalns
- Parent task set to #40370

#6 - 2012-08-29 15:59 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14159
#7 - 2012-08-29 18:52 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14159

#8 - 2012-08-30 18:02 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14159

#9 - 2012-09-03 11:32 - Aske Ertmann
- Status changed from Under Review to Resolved
- Assigned To deleted (Karsten Dambekalns)

#10 - 2012-09-03 11:34 - Aske Ertmann
- % Done changed from 0 to 100

#11 - 2012-10-04 16:03 - Markus Goldbeck
- Status changed from Resolved to Closed
